# Uses of Enum
ml.options.OptionData.Type

## Uses of OptionData.Type in ml.options

Subclasses with type arguments of type OptionData.Type in ml.options
Modifier and Type
Class
Description
`static enum`
`OptionData.Type`
An enum describing the different available types of options
Methods in ml.options that return OptionData.Type
Modifier and Type
Method
Description
`static OptionData.Type`
OptionData.Type.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static OptionData.Type[]`
OptionData.Type.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in ml.options with parameters of type OptionData.Type
Modifier and Type
Method
Description
`OptionData`
OptionSet.`addOption(OptionData.Type type, String key)`
Add the given option to the set.
`OptionData`
OptionSet.`addOption(OptionData.Type type, String key, String altKey)`
Add the given option to the set.
`OptionData`
OptionSet.`addOption(OptionData.Type type, String key, String altKey, Options.Multiplicity multiplicity)`
Add the given option to the set.
`OptionData`
OptionSet.`addOption(OptionData.Type type, String key, Options.Multiplicity multiplicity)`
Add the given option to the set.
`void`
Options.`addOptionAllSets(OptionData.Type type, String key)`
Add the given option to all known sets.
`void`
Options.`addOptionAllSets(OptionData.Type type, String key, String altKey)`
Add the given option to all known sets.
`void`
Options.`addOptionAllSets(OptionData.Type type, String key, String altKey, Options.Multiplicity multiplicity)`
Add the given option to all known sets.
`void`
Options.`addOptionAllSets(OptionData.Type type, String key, Options.Multiplicity multiplicity)`
Add the given option to all known sets.